Subject: Re: [bug#36440] [PATCH] Add FreeCAD

From: John Soo <[email-masked]>
Date: Wed, 4 Sep 2019 05:47:47 +0000

Oh wait, that's tbb, i will try with tbb as an input and report back.

On Wed, Sep 4, 2019 at 5:44 AM John Soo <[email-masked]> wrote:

> Hi Paul and everyone,
>
> I added libxmu and libxi as inputs and that gets progress. I am not sure
> whether we want to propagate them from opencascade-occt though. I can see
> either way working well.
>
> Now there is this error when building:
>
>
> /tmp/guix-build-freecad-0.18.3.drv-0/source/src/Mod/Import/App/ImportOCAF.cpp:100:30:
> fatal error: tbb/parallel_for.h: No such file or directory compilation
> terminated.
> make[2]: *** [src/Mod/Import/App/CMakeFiles/Import.dir/build.make:114:
> src/Mod/Import/App/CMakeFiles/Import.dir/ImportOCAF.cpp.o] Error 1
>
> Thanks again,
>
> John
>
>
> On Tue, Sep 3, 2019 at 7:45 PM Paul Garlick <
> [email-masked]> wrote:
>
>> Hi John,
>>
>> > Switching to opencascade-occt does not build. It fails with `ld:
>> > cannot find -lXmu` when building the PartDesigner module.
>>
>> libxmu is one of the opencascade-occt dependencies.  It might make
>> sense to propagate this input in the opencascade-occt package
>> definition.
>>
>> Could you test whether FreeCAD builds successfully with a libxmu input?
>> There may be other dependencies that need to be propagated too.
>>
>> Best regards,
>>
>> Paul.
>>
>>